----------------------------------------------------------------------------------- 1.
-- Constraint_division_table.
-- [ϱ̺ ⺻ ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_division WITH NOCHECK ADD
	CONSTRAINT DF_urim_division_d_div DEFAULT 1 FOR d_div,
	CONSTRAINT DF_urim_division_d_num DEFAULT 0 FOR d_num,
	CONSTRAINT DF_urim_division_d_tnum DEFAULT 0 FOR d_tnum,
	CONSTRAINT DF_urim_division_d_rnum DEFAULT 0 FOR d_rnum,
	CONSTRAINT DF_urim_division_d_trnum DEFAULT 0 FOR d_trnum





--;
----------------------------------------------------------------------------------- 2.
-- Constraint_comment_table.
-- [ڸƮ̺ ⺻ ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_comment WITH NOCHECK ADD
	CONSTRAINT DF_urim_comment_ment_az DEFAULT 0 FOR ment_az,
	CONSTRAINT DF_urim_comment_ment_date DEFAULT getdate() FOR ment_date





--;
----------------------------------------------------------------------------------- 3.
-- Constraint_category_table.
-- [īװ̺ ⺻ ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_category WITH NOCHECK ADD
	CONSTRAINT DF_urim_category_cate_up_id DEFAULT 0 FOR cate_up_id,
	CONSTRAINT DF_urim_category_cate_name DEFAULT 'Ϲ' FOR cate_name,
	CONSTRAINT DF_urim_category_cate_grant DEFAULT 0 FOR cate_grant,
	CONSTRAINT DF_urim_category_cate_point DEFAULT 0 FOR cate_point,
	CONSTRAINT DF_urim_category_cate_num DEFAULT 0 FOR cate_num,
	CONSTRAINT DF_urim_category_cate_rnum DEFAULT 0 FOR cate_rnum





--;
----------------------------------------------------------------------------------- 4.
-- Constraint_adminid_table.
-- [̺ ⺻ ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_adminid WITH NOCHECK ADD
	CONSTRAINT DF_urim_adminid_s_category_no DEFAULT 1 FOR s_category_no,
	CONSTRAINT DF_urim_adminid_s_sortname DEFAULT 'board' FOR s_sortname,
	CONSTRAINT DF_urim_adminid_s_group DEFAULT 0 FOR s_group,
	CONSTRAINT DF_urim_adminid_s_aliasname DEFAULT '...' FOR s_aliasname,
	CONSTRAINT DF_urim_adminid_s_tablewidth DEFAULT 95 FOR s_tablewidth,
	CONSTRAINT DF_urim_adminid_s_listno DEFAULT 18 FOR s_listno,
	CONSTRAINT DF_urim_adminid_s_pageno DEFAULT 10 FOR s_pageno,
	CONSTRAINT DF_urim_adminid_s_header DEFAULT '<center>' FOR s_header,
	CONSTRAINT DF_urim_adminid_s_footer DEFAULT '</center>' FOR s_footer,
	CONSTRAINT DF_urim_adminid_s_use_filter DEFAULT 1 FOR s_use_filter,
	CONSTRAINT DF_urim_adminid_s_use_cookie DEFAULT 0 FOR s_use_cookie,
	CONSTRAINT DF_urim_adminid_s_show_ip DEFAULT 0 FOR s_show_ip,
	CONSTRAINT DF_urim_adminid_s_use_comment DEFAULT 0 FOR s_use_comment,
	CONSTRAINT DF_urim_adminid_s_use_formmail DEFAULT 1 FOR s_use_formmail,
	CONSTRAINT DF_urim_adminid_s_use_autolink DEFAULT 1 FOR s_use_autolink,
	CONSTRAINT DF_urim_adminid_s_use_cart DEFAULT 1 FOR s_use_cart,
	CONSTRAINT DF_urim_adminid_s_block_ip DEFAULT 0 FOR s_block_ip,
	CONSTRAINT DF_urim_adminid_s_permit_link DEFAULT 0 FOR s_permit_link,
	CONSTRAINT DF_urim_adminid_s_short_word DEFAULT 0 FOR s_short_word,
	CONSTRAINT DF_urim_adminid_s_up_count DEFAULT 1 FOR s_up_count,
	CONSTRAINT DF_urim_adminid_s_hide_reply DEFAULT 0 FOR s_hide_reply,
	CONSTRAINT DF_urim_adminid_s_use_link DEFAULT 0 FOR s_use_link,
	CONSTRAINT DF_urim_adminid_s_use_table DEFAULT 0 FOR s_use_table,
	CONSTRAINT DF_urim_adminid_s_show_image DEFAULT 0 FOR s_show_image,
	CONSTRAINT DF_urim_adminid_s_show_content DEFAULT 0 FOR s_show_content,
	CONSTRAINT DF_urim_adminid_s_usepds DEFAULT 0 FOR s_usepds,
	CONSTRAINT DF_urim_adminid_s_usecategory DEFAULT 0 FOR s_usecategory,
	CONSTRAINT DF_urim_adminid_s_usehtml DEFAULT 2 FOR s_usehtml,
	CONSTRAINT DF_urim_adminid_s_usevote DEFAULT 1 FOR s_usevote,
	CONSTRAINT DF_urim_adminid_s_showlist DEFAULT 0 FOR s_showlist,
	CONSTRAINT DF_urim_adminid_s_showpage DEFAULT 1 FOR s_showpage,
	CONSTRAINT DF_urim_adminid_s_menulist DEFAULT 7 FOR s_menulist,
	CONSTRAINT DF_urim_adminid_s_usesecret DEFAULT 0 FOR s_usesecret,
	CONSTRAINT DF_urim_adminid_s_cutlist DEFAULT 100 FOR s_cutlist,
	CONSTRAINT DF_urim_adminid_s_newlist DEFAULT 12 FOR s_newlist,
	CONSTRAINT DF_urim_adminid_s_hotlist DEFAULT 0 FOR s_hotlist,
	CONSTRAINT DF_urim_adminid_s_repleft DEFAULT '>' FOR s_repleft,
	CONSTRAINT DF_urim_adminid_s_repright DEFAULT '<br>' FOR s_repright,
	CONSTRAINT DF_urim_adminid_s_pds_size DEFAULT 3145728 FOR s_pds_size,
	CONSTRAINT DF_urim_adminid_s_pds_ext2 DEFAULT 'gif,jpg,png' FOR s_pds_ext2,
	CONSTRAINT DF_urim_adminid_s_grant_list DEFAULT 0 FOR s_grant_list,
	CONSTRAINT DF_urim_adminid_s_grant_read DEFAULT 0 FOR s_grant_read,
	CONSTRAINT DF_urim_adminid_s_grant_write DEFAULT 0 FOR s_grant_write,
	CONSTRAINT DF_urim_adminid_s_grant_reply DEFAULT 0 FOR s_grant_reply,
	CONSTRAINT DF_urim_adminid_s_grant_comment DEFAULT 0 FOR s_grant_comment,
	CONSTRAINT DF_urim_adminid_s_grant_delete DEFAULT 255 FOR s_grant_delete,
	CONSTRAINT DF_urim_adminid_s_grant_notice DEFAULT 255 FOR s_grant_notice,
	CONSTRAINT DF_urim_adminid_s_grant_down DEFAULT 0 FOR s_grant_down,
	CONSTRAINT DF_urim_adminid_s_grant_up DEFAULT 0 FOR s_grant_up,
	CONSTRAINT DF_urim_adminid_s_grant_html DEFAULT 0 FOR s_grant_html,
	CONSTRAINT DF_urim_adminid_s_grant_secret DEFAULT 255 FOR s_grant_secret






--;
----------------------------------------------------------------------------------- 5.
-- Constraint_member_table.
-- [ȸ̺ ⺻ ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urimi_member WITH NOCHECK ADD
	CONSTRAINT DF_urimi_member_mem_div DEFAULT 1 FOR mem_div,
	CONSTRAINT DF_urimi_member_mem_date DEFAULT getdate() FOR mem_date,
	CONSTRAINT DF_urimi_member_mem_login DEFAULT 0 FOR mem_login,
	CONSTRAINT DF_urimi_member_mem_exit DEFAULT 0 FOR mem_exit,
	CONSTRAINT DF_urimi_member_mem_lunar DEFAULT 1 FOR mem_lunar





--;
----------------------------------------------------------------------------------- 6.
-- Constraint_group_table.
-- [׷̺ ⺻ ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urimi_group WITH NOCHECK ADD
	CONSTRAINT DF_urimi_group_g_category DEFAULT 0 FOR g_category,
	CONSTRAINT DF_urimi_group_g_mem_level DEFAULT 0 FOR g_mem_level,
	CONSTRAINT DF_urimi_group_g_div DEFAULT 1 FOR g_div





--;
----------------------------------------------------------------------------------- 7.
-- Constraint_counter_table.
-- [ī̺ ⺻ ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urimi_counter WITH NOCHECK ADD
	CONSTRAINT DF_urimi_counter_v_daycount DEFAULT 0 FOR v_daycount,
	CONSTRAINT DF_urimi_counter_v_daycount1 DEFAULT 0 FOR v_daycount1,
	CONSTRAINT DF_urimi_counter_v_totalcount DEFAULT 0 FOR v_totalcount,
	CONSTRAINT DF_urimi_counter_v_totalcount1 DEFAULT 0 FOR v_totalcount1,
	CONSTRAINT DF_urimi_counter_v_cookie DEFAULT 0 FOR v_cookie





--;
----------------------------------------------------------------------------------- 8.
-- Constraint_board_table.
-- [Խ/ڷ̺ ⺻ ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urimi_board WITH NOCHECK ADD
	CONSTRAINT DF_urimi_board_u_date DEFAULT getdate() FOR u_date,
	CONSTRAINT DF_urimi_board_u_count DEFAULT 0 FOR u_count,
	CONSTRAINT DF_urimi_board_u_vote DEFAULT 0 FOR u_vote,
	CONSTRAINT DF_urimi_board_u_html DEFAULT 0 FOR u_html,
	CONSTRAINT DF_urimi_board_u_cookie DEFAULT 0 FOR u_cookie,
	CONSTRAINT DF_urimi_board_u_repmail DEFAULT 0 FOR u_repmail,
	CONSTRAINT DF_urimi_board_u_secret DEFAULT 0 FOR u_secret,
	CONSTRAINT DF_urimi_board_u_level DEFAULT 0 FOR u_level,
	CONSTRAINT DF_urimi_board_u_step DEFAULT 0 FOR u_step,
	CONSTRAINT DF_urimi_board_u_comment_no DEFAULT 0 FOR u_comment_no,
	CONSTRAINT DF_urimi_board_u_zcount DEFAULT 0 FOR u_zcount





--;
----------------------------------------------------------------------------------- 9.
-- Constraint_memo_table.
-- [޸/ϸũ/̺ ȯ]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urimi_memo WITH NOCHECK ADD
	CONSTRAINT DF_urimi_memo_u_date DEFAULT getdate() FOR u_date,
	CONSTRAINT DF_urimi_memo_u_vote DEFAULT 0 FOR u_vote,
	CONSTRAINT DF_urimi_memo_u_level DEFAULT 0 FOR u_level





--;