----------------------------------------------------------------------------------- 1.
-- Convert_division_table.
-- [ϱ̺ ȯ]
-----------------------------------------------------------------------------------

	EXEC sp_rename 'urim_division.d_table', 'id', 'COLUMN'
	-- ÷

	ALTER TABLE dbo.urim_division ALTER COLUMN id varchar(20) NOT NULL
	-- ÷Type 





--;
----------------------------------------------------------------------------------- 1-2.
-- Index_division_table.
-- [ϱ̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_division_table WITH NOCHECK ADD CONSTRAINT PK_urim_division_table PRIMARY KEY  CLUSTERED(d_no) ON [PRIMARY]
	CREATE INDEX idx_urim_division_table ON dbo.urim_division_table(id) ON [PRIMARY]





--;
----------------------------------------------------------------------------------- 2.
-- Convert_category_table.
-- [īװ̺ ȯ]
-----------------------------------------------------------------------------------

	EXEC sp_rename 'urim_category.cate_id', 'cate_no', 'COLUMN'
	EXEC sp_rename 'urim_category.cate_table', 'id', 'COLUMN'
	-- ÷

	ALTER TABLE dbo.urim_category ALTER COLUMN id varchar(20) NULL
	ALTER TABLE dbo.urim_category ALTER COLUMN cate_name varchar(100) NOT NULL
	ALTER TABLE dbo.urim_category ALTER COLUMN cate_point int NOT NULL
	ALTER TABLE dbo.urim_category ALTER COLUMN cate_num int NOT NULL
	ALTER TABLE dbo.urim_category ALTER COLUMN cate_rnum int NOT NULL
	-- ÷Type 

	ALTER TABLE dbo.urim_category DROP COLUMN cate_grant
	-- ÷





--;
----------------------------------------------------------------------------------- 2-2.
-- Index_category_table.
-- [īװ̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_category_table WITH NOCHECK ADD CONSTRAINT PK_urim_category_table PRIMARY KEY  CLUSTERED(cate_no) ON [PRIMARY]
	CREATE INDEX idx_urim_category_table ON dbo.urim_category_table(id) ON [PRIMARY]






--;
----------------------------------------------------------------------------------- 3.
-- Convert_adminid_table.
-- [Ϲ/׷̺ ̺ ȯ]
-----------------------------------------------------------------------------------

	EXEC sp_rename 'urim_adminid.s_category_no', 's_category_num', 'COLUMN'
	EXEC sp_rename 'urim_adminid.s_group', 'g_no', 'COLUMN'
	EXEC sp_rename 'urim_adminid.s_table', 'id', 'COLUMN'
	EXEC sp_rename 'urim_adminid.s_home', 's_homepage', 'COLUMN'
	-- ÷

	ALTER TABLE dbo.urim_adminid ALTER COLUMN id varchar(20) NOT NULL
	ALTER TABLE dbo.urim_adminid ALTER COLUMN s_sortname varchar(20) NOT NULL
	ALTER TABLE dbo.urim_adminid ALTER COLUMN s_skincolor varchar(15) NULL
	ALTER TABLE dbo.urim_adminid ALTER COLUMN s_bgimage varchar(200) NULL
	ALTER TABLE dbo.urim_adminid ALTER COLUMN s_header text NULL
	ALTER TABLE dbo.urim_adminid ALTER COLUMN s_footer text NULL
	-- ÷Type 

	ALTER TABLE dbo.urim_adminid ADD g_mem_num int default 0 NOT NULL
	ALTER TABLE dbo.urim_adminid ADD s_use_sample bit DEFAULT 0 NOT NULL
	ALTER TABLE dbo.urim_adminid ADD s_samplefile varchar(30) NULL
	ALTER TABLE dbo.urim_adminid ADD s_writecheck tinyint DEFAULT 2 NOT NULL
	ALTER TABLE dbo.urim_adminid ADD s_orderby tinyint DEFAULT 12 NOT NULL
	ALTER TABLE dbo.urim_adminid ADD s_grant_sample tinyint DEFAULT 0 NOT NULL
	-- ÷߰





--;
----------------------------------------------------------------------------------- 3-1.
-- Convert_adminid_table1.
-- ÷߰, s_writecheck κп  ־־ Ѵ.
-----------------------------------------------------------------------------------

	UPDATE dbo.urim_adminid SET s_writecheck=s_use_cookie+2+4*s_usesecret





--;
----------------------------------------------------------------------------------- 3-2.
-- Convert_adminid_table2.
-- ʿ ÷ 
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_adminid DROP COLUMN s_use_cookie
	ALTER TABLE dbo.urim_adminid DROP COLUMN s_use_table
	ALTER TABLE dbo.urim_adminid DROP COLUMN s_usesecret
	ALTER TABLE dbo.urim_adminid DROP COLUMN s_repright
	ALTER TABLE dbo.urim_adminid DROP COLUMN s_repcolor
	-- ÷





--;
----------------------------------------------------------------------------------- 3-3.
-- Update_adminid_table.
-- s_show_image  1/0 ٲٰ, bit Ÿ ȯѴ.
-----------------------------------------------------------------------------------

	UPDATE dbo.urim_adminid_table SET s_show_image=s_show_image-10 WHERE s_show_image>9
	ALTER TABLE dbo.urim_adminid ALTER COLUMN s_show_image bit NULL
	-- ÷





--;
----------------------------------------------------------------------------------- 3-4.
-- Index_adminid_table.
-- [̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_adminid_table WITH NOCHECK ADD CONSTRAINT PK_urim_adminid_table PRIMARY KEY  CLUSTERED(s_no) ON [PRIMARY]
	CREATE INDEX idx_urim_adminid_table ON dbo.urim_adminid_table(g_no, id) ON [PRIMARY]





--;
----------------------------------------------------------------------------------- 4.
-- Convert_group_table.
-- [׷ȸ̺ ]
-----------------------------------------------------------------------------------

	EXEC sp_rename 'urimi_group.g_no', 'gm_no', 'COLUMN'
	EXEC sp_rename 'urimi_group.g_mem_id', 'mem_id', 'COLUMN'
	EXEC sp_rename 'urimi_group.g_mem_level', 'mem_level', 'COLUMN'
	-- ÷

	ALTER TABLE dbo.urimi_group ALTER COLUMN mem_id varchar(20) NOT NULL
	ALTER TABLE dbo.urimi_group ALTER COLUMN mem_level tinyint NOT NULL
	-- ÷Type 

	ALTER TABLE dbo.urimi_group DROP COLUMN g_category
	ALTER TABLE dbo.urimi_group DROP COLUMN g_name
	ALTER TABLE dbo.urimi_group DROP COLUMN g_div
	ALTER TABLE dbo.urimi_group DROP COLUMN g_mem_name
	-- ÷

	ALTER TABLE dbo.urimi_group ADD g_no int DEFAULT 0 NOT NULL
	ALTER TABLE dbo.urimi_group ADD g_up_no int DEFAULT 0 NOT NULL
	-- ÷߰





--;
----------------------------------------------------------------------------------- 4-2.
-- Index_group_table.
-- [׷ȸ̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_group_table WITH NOCHECK ADD CONSTRAINT PK_urim_group_table PRIMARY KEY  CLUSTERED(gm_no) ON [PRIMARY]
	CREATE INDEX idx_urim_group_table ON dbo.urim_group_table(g_no) ON [PRIMARY]





--;
----------------------------------------------------------------------------------- 5.
-- Convert_member_table.
-- [ȸ̺ ȯ]
-----------------------------------------------------------------------------------

	EXEC sp_rename 'urimi_member.mem_mail', 'mem_email', 'COLUMN'
	EXEC sp_rename 'urimi_member.mem_date', 'mem_regdate', 'COLUMN'
	EXEC sp_rename 'urimi_member.mem_category', 'cate_no', 'COLUMN'
	EXEC sp_rename 'urimi_member.mem_home', 'mem_homepage', 'COLUMN'

	EXEC sp_rename 'urimi_member.mem_show', 'mem_open', 'COLUMN'
	-- ÷

	ALTER TABLE dbo.urimi_member ALTER COLUMN mem_level tinyint NOT NULL
	ALTER TABLE dbo.urimi_member ALTER COLUMN mem_mailling bit NOT NULL
	ALTER TABLE dbo.urimi_member ALTER COLUMN mem_open bit NOT NULL
	ALTER TABLE dbo.urimi_member WITH NOCHECK ADD
	CONSTRAINT DF_urimi_member_mem_level DEFAULT 1 FOR mem_level,
	CONSTRAINT DF_urimi_member_mem_mailling DEFAULT 0 FOR mem_mailling,
	CONSTRAINT DF_urimi_member_mem_open DEFAULT 0 FOR mem_open
	-- ÷Type 

	ALTER TABLE dbo.urimi_member ADD mem_aliasname varchar(20) NULL
	ALTER TABLE dbo.urimi_member ADD mem_logindate datetime DEFAULT getdate() NULL
	ALTER TABLE dbo.urimi_member ADD mem_mobile varchar(20) NULL
	ALTER TABLE dbo.urimi_member ADD mem_photo varchar(100) NULL
	-- ÷߰

	ALTER TABLE dbo.urimi_member DROP COLUMN mem_exit
	ALTER TABLE dbo.urimi_member DROP COLUMN mem_exitdate
	-- ÷





--;
----------------------------------------------------------------------------------- 5-2.
-- Index_member_table.
-- [ȸ̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_member_table WITH NOCHECK ADD CONSTRAINT PK_urim_member_table PRIMARY KEY  CLUSTERED(mem_no) ON [PRIMARY]
	CREATE INDEX idx_urim_member_table ON dbo.urim_member_table(mem_id) ON [PRIMARY]






--;
----------------------------------------------------------------------------------- 6.
-- Convert_board_table.
-- [Խ/ڷ̺ ȯ]
-----------------------------------------------------------------------------------

	EXEC sp_rename 'urimi_board.u_userid', 'user_id', 'COLUMN'
	EXEC sp_rename 'urimi_board.u_mail', 'u_email', 'COLUMN'
	EXEC sp_rename 'urimi_board.u_home', 'u_homepage', 'COLUMN'
	EXEC sp_rename 'urimi_board.u_category', 'cate_no', 'COLUMN'
	EXEC sp_rename 'urimi_board.u_comment_no', 'u_comment_num', 'COLUMN'
	-- ÷

	ALTER TABLE dbo.urimi_board ALTER COLUMN cate_no int NOT NULL
	ALTER TABLE dbo.urimi_board ALTER COLUMN u_link varchar(255) NULL
	ALTER TABLE dbo.urimi_board ALTER COLUMN u_zfile varchar(200) NULL
	ALTER TABLE dbo.urimi_board ALTER COLUMN u_image varchar(1500) NULL
	ALTER TABLE dbo.urimi_board ALTER COLUMN u_icount varchar(200) NULL
	-- ÷Type 

	ALTER TABLE dbo.urimi_board ADD u_zsize int DEFAULT 0 NULL
	ALTER TABLE dbo.urimi_board ADD u_isize varchar(200) NULL
	-- ÷߰





--;
----------------------------------------------------------------------------------- 6-1.
-- Update_board_table.
-- [̹ ڵ ֱ , u_html ]
-----------------------------------------------------------------------------------

	UPDATE dbo.urimi_board_table SET u_html=u_html+10





--;
----------------------------------------------------------------------------------- 6-2.
-- Index_board_table.
-- [Խ/ڷ̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urimi_board_table WITH NOCHECK ADD CONSTRAINT PK_urimi_board_table PRIMARY KEY  CLUSTERED(u_no) ON [PRIMARY]
	CREATE INDEX idx_urimi_board_table ON dbo.urimi_board_table(user_id) ON [PRIMARY]






--;
----------------------------------------------------------------------------------- 7.
-- Convert_memo_table.
-- [޸/ϸũ/̺ ȯ]
-----------------------------------------------------------------------------------

	EXEC sp_rename 'urimi_memo.u_userid', 'user_id', 'COLUMN'
	EXEC sp_rename 'urimi_memo.u_mail', 'u_email', 'COLUMN'
	EXEC sp_rename 'urimi_memo.u_home', 'u_homepage', 'COLUMN'
	EXEC sp_rename 'urimi_memo.u_category', 'cate_no', 'COLUMN'
	-- ÷





--;
----------------------------------------------------------------------------------- 7-2.
-- Index_memo_table.
-- [޸/ϸũ/̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urimi_memo_table WITH NOCHECK ADD CONSTRAINT PK_urimi_memo_table PRIMARY KEY  CLUSTERED(u_no) ON [PRIMARY]
	CREATE INDEX idx_urimi_memo_table ON dbo.urimi_memo_table(user_id) ON [PRIMARY]





--;
----------------------------------------------------------------------------------- 7-2.
-- Index_counter_table.
-- [ī̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urimi_counter_table WITH NOCHECK ADD CONSTRAINT PK_urimi_counter_table PRIMARY KEY  CLUSTERED(v_no) ON [PRIMARY]





--;
----------------------------------------------------------------------------------- 8.
-- Create_comment_table.
-- ڸƮ̺ 
-----------------------------------------------------------------------------------

	CREATE TABLE dbo.urim_comment_id_table(
		ment_no int identity(1,1) NOT NULL,
		u_no int default 0 NOT NULL,
		user_id varchar(20) NULL,
		ment_name varchar(20) NULL,
		ment_pass varchar(20) NULL,
		ment_ip char(15) NULL,
		ment_date datetime default getdate() NOT NULL,
		ment_memo text NULL
	)

	ALTER TABLE dbo.urim_comment_id_table WITH NOCHECK ADD CONSTRAINT PK_urim_comment_id_table PRIMARY KEY  CLUSTERED(ment_no) ON [PRIMARY]
	CREATE INDEX idx_urim_comment_id_table ON dbo.urim_comment_id_table(u_no) ON [PRIMARY]






--;
----------------------------------------------------------------------------------- 8-1.
-- Insert_comment_table.
--  ڸƮ̺  ̵
-----------------------------------------------------------------------------------

	INSERT INTO dbo.urim_comment_board_table(u_no, user_id, ment_name, ment_pass, ment_ip, ment_date, ment_memo)
	SELECT ment_rep, ment_id, ment_name, ment_pass, ment_ip, ment_date, ment_comment FROM dbo.urim_comment
	WHERE ment_table='board' ORDER BY ment_no





--;
----------------------------------------------------------------------------------- 8-2.
-- Index_comment_table.
-- [ڸƮ̺ ⺻Ű/ε ߰]
-----------------------------------------------------------------------------------

	ALTER TABLE dbo.urim_comment_id_table WITH NOCHECK ADD CONSTRAINT PK_urim_comment_id_table PRIMARY KEY  CLUSTERED(ment_no) ON [PRIMARY]
	CREATE INDEX idx_urim_comment_id_table ON dbo.urim_comment_id_table(u_no) ON [PRIMARY]





--;
----------------------------------------------------------------------------------- 9.
-- Create_sample_table.
-- ̺ 
-----------------------------------------------------------------------------------

	CREATE TABLE dbo.urim_sample_table(
		sam_no int identity(1,1) NOT NULL,
		id varchar(20) NOT NULL,
		u_no int default 0 NOT NULL,
		user_id varchar(20) NULL,
		sam_name varchar(20) NULL,
		sam_pass varchar(20) NULL,
		sam_ip char(15) NULL,
		sam_date datetime default getdate() NOT NULL,
		sam_file varchar(30) NULL,
		sam_title varchar(255) NULL,
		sam_source_count int default 0 NOT NULL,
		sam_preview_count int default 0 NOT NULL,
		sam_memo text NULL
	)

	ALTER TABLE dbo.urim_sample_table WITH NOCHECK ADD CONSTRAINT PK_urim_sample_table PRIMARY KEY  CLUSTERED(sam_no) ON [PRIMARY]
	CREATE INDEX idx_urim_sample_table ON dbo.urim_sample_table(id, u_no) ON [PRIMARY]





--;