/**********************************************************************************
** uSetupOk1.
** [setupϷ] setup ϷŰ
**********************************************************************************/
CREATE PROC dbo.uSetupOk1

	@division_sql			varchar(5000)
,	@category_sql			varchar(5000)
,	@member_sql			varchar(5000)
,	@group_sql			varchar(5000)
,	@comment_member_sql		varchar(5000)
,	@adminid_sql			varchar(5000)
,	@sample_sql			varchar(5000)

,	@uAdminList			varchar(5000)
,	@uAdminMakeTable		varchar(5000)
,	@uAdminDropTable		varchar(5000)
,	@uAdminChangeTablename		varchar(5000)
,	@uAdminCreateOptionTable	varchar(5000)
,	@uAdminBoardCategoryOk		varchar(5000)
,	@uJoinOkInsert			varchar(5000)
,	@uBoardContent			varchar(5000)
,	@uBoardList			varchar(5000)
,	@uBoardListReply		varchar(5000)
,	@uBoardListSearch		varchar(5000)
,	@uBoardListSearchNo		varchar(5000)
,	@uBoardListMove			varchar(5000)
,	@uBoardComment			varchar(5000)
,	@uBoardWriteOkInsert		varchar(5000)
,	@uMemoContent			varchar(5000)
,	@uMemoList			varchar(5000)
,	@uMemoListReply			varchar(5000)
,	@uMemoListSearch		varchar(5000)
,	@uMemoListSearchNo		varchar(5000)
,	@uMemberContent			varchar(5000)
,	@uMemberList			varchar(5000)
,	@uMemberListSearch		varchar(5000)
,	@uMemberListSearchNo		varchar(5000)
,	@uExecuteQuery			varchar(5000)
,	@uSelectAddress			varchar(5000)
,	@insert_group_sql		varchar(5000)

AS

-- Ʈ
BEGIN TRAN
	if @division_sql<>''		Execute(@division_sql)
	if @category_sql<>''		Execute(@category_sql)
	if @member_sql<>''		Execute(@member_sql)
	if @group_sql<>''		Execute(@group_sql)
	if @comment_member_sql<>''	Execute(@comment_member_sql)
	if @adminid_sql<>''		Execute(@adminid_sql)
	if @sample_sql<>''		Execute(@sample_sql)

	if @uAdminList<>''		Execute(@uAdminList)
	if @uAdminMakeTable<>''		Execute(@uAdminMakeTable)
	if @uAdminDropTable<>''		Execute(@uAdminDropTable)
	if @uAdminChangeTablename<>''	Execute(@uAdminChangeTablename)
	if @uAdminCreateOptionTable<>''	Execute(@uAdminCreateOptionTable)
	if @uAdminBoardCategoryOk<>''	Execute(@uAdminBoardCategoryOk)
	if @uJoinOkInsert<>''		Execute(@uJoinOkInsert)
	if @uBoardContent<>''		Execute(@uBoardContent)
	if @uBoardList<>''		Execute(@uBoardList)
	if @uBoardListReply<>''		Execute(@uBoardListReply)
	if @uBoardListSearch<>''	Execute(@uBoardListSearch)
	if @uBoardListSearchNo<>''	Execute(@uBoardListSearchNo)
	if @uBoardListMove<>''		Execute(@uBoardListMove)
	if @uBoardComment<>''		Execute(@uBoardComment)
	if @uBoardWriteOkInsert<>''	Execute(@uBoardWriteOkInsert)
	if @uMemoContent<>''		Execute(@uMemoContent)
	if @uMemoList<>''		Execute(@uMemoList)
	if @uMemoListReply<>''		Execute(@uMemoListReply)
	if @uMemoListSearch<>''		Execute(@uMemoListSearch)
	if @uMemoListSearchNo<>''	Execute(@uMemoListSearchNo)
	if @uMemberContent<>''		Execute(@uMemberContent)
	if @uMemberList<>''		Execute(@uMemberList)
	if @uMemberListSearch<>''	Execute(@uMemberListSearch)
	if @uMemberListSearchNo<>''	Execute(@uMemberListSearchNo)
	if @uExecuteQuery<>''		Execute(@uExecuteQuery)
	if @uSelectAddress<>''		Execute(@uSelectAddress)
	if @insert_group_sql<>''	Execute(@insert_group_sql)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN

SET NOCOUNT OFF






GO
/**********************************************************************************
** uSetupOk2.
** [setupϷ] setup ϷŰ
**********************************************************************************/
CREATE PROC dbo.uSetupOk2

	@division_table			varchar(50)
,	@member_table			varchar(50)
,	@category_table			varchar(50)
,	@adminid_table			varchar(50)
,	@g_no				varchar(11)
,	@cate_no			varchar(11)
,	@d_div				varchar(11)
,	@none_division			bit
,	@top_id				varchar(20)
,	@top_name			varchar(20)
,	@top_pass			varchar(20)
,	@top_email			varchar(255)
,	@top_homepage			varchar(255)

AS

DECLARE @sql_division			varchar(500)
DECLARE @sql_category			varchar(500)
DECLARE @sql_adminid1			varchar(500)
DECLARE @sql_adminid2			varchar(500)
DECLARE @sql_category_level1		varchar(500)
DECLARE @sql_category_level2		varchar(500)
DECLARE @sql				varchar(500)

SET NOCOUNT ON

if @none_division=1
	SET @sql_division='INSERT INTO '+@division_table+'(id,d_div,d_num,d_tnum) VALUES(''member'',1,1,1)'
else
	SET @sql_division='UPDATE '+@division_table+' SET d_div='+@d_div+', d_num=d_num+1, d_tnum=d_tnum+1 WHERE id=''member'' AND d_div='+@d_div
SET @sql_category='UPDATE '+@category_table+' SET cate_num=cate_num+1 WHERE cate_no='+@cate_no
SET @sql_adminid2='INSERT INTO '+@adminid_table+'(g_no, id, s_sortname, s_aliasname) VALUES('+@g_no+',''member'',''member'',''ȸ'')'
SET @sql_category_level1='INSERT INTO '+@category_table+'(id, cate_name, cate_point, cate_num) VALUES(''member_level'',''Top'',255,1)'
SET @sql_category_level2='INSERT INTO '+@category_table+'(id, cate_name, cate_point) VALUES(''member_level'',''Admin'',254)'
SET @sql='INSERT INTO '+@member_table+'(cate_no,mem_id,mem_name,mem_pass,mem_email,mem_level,mem_homepage) VALUES('''+@cate_no+''','''+@top_id+''','''+@top_name+''','''+@top_pass+''','''+@top_email+''',255,'''+@top_homepage+''')'

-- Ʈ
BEGIN TRAN
	if @sql_division<>''		Execute(@sql_division)
	if @sql_category<>''		Execute(@sql_category)
	if @sql_adminid1<>''		Execute(@sql_adminid1)
	if @sql_adminid2<>''		Execute(@sql_adminid2)
	if @sql_category_level1<>''	Execute(@sql_category_level1)
	if @sql_category_level2<>''	Execute(@sql_category_level2)
	if @sql<>''			Execute(@sql)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN

SET NOCOUNT OFF






GO
/**********************************************************************************
** uAdminList.
** [ü] id ̺ 
**********************************************************************************/
CREATE PROC dbo.uAdminList

	@top				int
,	@adminid_table			varchar(50)
,	@sort				varchar(11)

AS

DECLARE @sql	VARCHAR(1000)
SET @sql='SELECT TOP '+CAST(@top AS varchar(11))+'
s_no, g_no, s_category_num, s_sortname, id, s_aliasname FROM '+@adminid_table+'
WHERE s_sortname<>''group'''

if @sort<>''	SET @sql=@sql+' AND g_no='+@sort
SET @sql=@sql+' ORDER BY s_no DESC'

exec(@sql)






GO
/**********************************************************************************
** uAdminMakeTable.
** [ü] ο ̺ ϱ(Խ ߰)
**********************************************************************************/
CREATE PROC dbo.uAdminMakeTable

	@g_no			varchar(11)
,	@id			varchar(20)
,	@s_sortname		varchar(10)
,	@s_aliasname		varchar(30)
,	@s_skinname		varchar(50)
,	@s_skincolor		varchar(50)
,	@s_hide_reply		varchar(1)
,	@s_show_content		varchar(1)
,	@s_usepds		varchar(3)
,	@s_use_link		varchar(1)
,	@s_show_image		varchar(3)
,	@s_use_vote		varchar(11)
,	@s_usehtml		varchar(3)
,	@division_table		varchar(50)
,	@category_table		varchar(50)
,	@adminid_table		varchar(50)
,	@exec_sql		varchar(5000)
,	@comment_sql		varchar(5000)

AS

DECLARE @sql_division		varchar(1000)
DECLARE @sql_category		varchar(1000)
DECLARE @sql_adminid		varchar(1000)

SET @sql_division='INSERT INTO '+@division_table+'(id) VALUES('''+@id+''')'
SET @sql_category='INSERT INTO '+@category_table+'(id) VALUES('''+@id+''')'
SET @sql_adminid='INSERT INTO '+@adminid_table+'(g_no, id, s_sortname, s_aliasname, s_skinname, s_skincolor, s_hide_reply, s_show_content, s_usepds, s_use_link, s_show_image, s_usevote, s_usehtml) VALUES('+@g_no+','''+@id+''','''+@s_sortname+''','''+@s_aliasname+''','''+@s_skinname+''','''+@s_skincolor+''','+@s_hide_reply+','+@s_show_content+','+@s_usepds+','+@s_use_link+','+@s_show_image+','+@s_use_vote+','+@s_usehtml+')'
if @s_sortname='counter'
	BEGIN
		SET @sql_division=''
		SET @sql_category=''
	END

-- Ʈ
BEGIN TRAN
	if @sql_division<>''	Execute(@sql_division)
	if @sql_category<>''	Execute(@sql_category)
	if @sql_adminid<>''	Execute(@sql_adminid)
	if @exec_sql<>''	Execute(@exec_sql)
	if @comment_sql<>''	Execute(@comment_sql)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN

SET NOCOUNT OFF






GO
/**********************************************************************************
** uAdminDropTable.
** [ü] ̺ ϱ(Խ )
**********************************************************************************/
CREATE PROC dbo.uAdminDropTable

	@g_no			varchar(11)
,	@id			varchar(20)
,	@s_sortname		varchar(20)
,	@division_table		varchar(50)
,	@category_table		varchar(50)
,	@adminid_table		varchar(50)

AS

DECLARE @sql_division		varchar(500)
DECLARE @sql_category		varchar(500)
DECLARE @sql_adminid		varchar(500)
DECLARE @sql_group		varchar(500)
DECLARE @sql_comment		varchar(500)
DECLARE @sql_id			varchar(500)

SET @sql_division='DELETE FROM '+@division_table+' WHERE id='''+@id+''''
SET @sql_category='DELETE FROM '+@category_table+' WHERE id='''+@id+''''
SET @sql_adminid='DELETE FROM '+@adminid_table+' WHERE id='''+@id+''''
SET @sql_group='UPDATE '+@adminid_table+' SET s_category_num=s_category_num-1 WHERE g_no='+@g_no
if @s_sortname='group' or @s_sortname='member' or @s_sortname='mark' or @s_sortname='scrap' or @s_sortname='friends'	SET @sql_id='DROP TABLE urim_'+@id+'_table'
else if @s_sortname='message'
	BEGIN
		SET @sql_comment='DROP TABLE urim_get_'+@id+'_table'
		SET @sql_id='DROP TABLE urim_send_'+@id+'_table'
	END
else
	BEGIN
		SET @sql_comment='DROP TABLE urim_comment_'+@id+'_table'
		SET @sql_id='DROP TABLE urimi_'+@id+'_table'
	END


-- Ʈ
BEGIN TRAN
	if @sql_division<>''	Execute(@sql_division)
	if @sql_category<>''	Execute(@sql_category)
	if @sql_adminid<>''	Execute(@sql_adminid)
	if @sql_group<>''	Execute(@sql_group)
	if @sql_comment<>''	Execute(@sql_comment)
	if @sql_id<>''		Execute(@sql_id)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN

SET NOCOUNT OFF






GO
/**********************************************************************************
** uAdminChangeTablename.
** [ü] ̺(id) 
**********************************************************************************/
CREATE PROC dbo.uAdminChangeTablename

	@id			varchar(20)
,	@change_id		varchar(20)
,	@id_table		varchar(50)
,	@change_id_table	varchar(50)
,	@division_table		varchar(50)
,	@category_table		varchar(50)
,	@comment_table		varchar(50)
,	@change_comment_table	varchar(50)
,	@adminid_table		varchar(50)

AS

DECLARE @sql_division		varchar(500)
DECLARE @sql_category		varchar(500)
DECLARE @sql_adminid		varchar(500)
DECLARE @sql_comment		varchar(500)
DECLARE @sql_id			varchar(500)

SET @sql_division='UPDATE '+@division_table+' SET id='''+@change_id+''' WHERE id='''+@id+''''
SET @sql_category='UPDATE '+@category_table+' SET id='''+@change_id+''' WHERE id='''+@id+''''
SET @sql_comment='EXEC sp_rename '+@comment_table+','+@change_comment_table
SET @sql_adminid='UPDATE '+@adminid_table+' SET id='''+@change_id+''' WHERE id='''+@id+''''
SET @sql_id='EXEC sp_rename '+@id_table+','+@change_id_table

-- Ʈ
BEGIN TRAN
	if @sql_division<>''	Execute(@sql_division)
	if @sql_category<>''	Execute(@sql_category)
	if @sql_adminid<>''	Execute(@sql_adminid)
	if @sql_comment<>''	Execute(@sql_comment)
	if @sql_id<>''		Execute(@sql_id)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN

SET NOCOUNT OFF






GO
/**********************************************************************************
** uAdminCreateOptionTable.
** [ü] ο ̺ ϱ(Խ ߰)
**********************************************************************************/
CREATE PROC dbo.uAdminCreateOptionTable

	@use_member		varchar(1)
,	@g_no			varchar(11)
,	@adminid_table		varchar(50)
,	@category_table 	varchar(50)
,	@mark_sql		varchar(2000)
,	@get_message_sql	varchar(2000)
,	@send_message_sql	varchar(2000)
,	@scrap_sql		varchar(2000)
,	@friends_sql		varchar(2000)
,	@sql_level		varchar(2000)

AS

DECLARE @sql_group		varchar(500)
DECLARE @sql_mark		varchar(500)
DECLARE @sql_message		varchar(500)
DECLARE @sql_scrap		varchar(500)
DECLARE @sql_friends		varchar(500)

if @mark_sql<>''		SET @sql_mark='INSERT INTO '+@adminid_table+'(g_no, id, s_sortname, s_aliasname) VALUES('+@g_no+',''mark'',''mark'','''')'
if @get_message_sql<>''		SET @sql_message='INSERT INTO '+@adminid_table+'(g_no, id, s_sortname, s_aliasname) VALUES('+@g_no+',''message'',''message'','''')'
if @scrap_sql<>''		SET @sql_scrap='INSERT INTO '+@adminid_table+'(g_no, id, s_sortname, s_aliasname) VALUES('+@g_no+',''scrap'',''scrap'',''ũ'')'
if @friends_sql<>''		SET @sql_friends='INSERT INTO '+@adminid_table+'(g_no, id, s_sortname, s_aliasname) VALUES('+@g_no+',''friends'',''friends'',''ģ'')'

-- Ʈ
BEGIN TRAN
	if @mark_sql<>''		Execute(@mark_sql)
	if @get_message_sql<>''		Execute(@get_message_sql)
	if @send_message_sql<>''	Execute(@send_message_sql)
	if @scrap_sql<>''		Execute(@scrap_sql)
	if @friends_sql<>''		Execute(@friends_sql)
	if @sql_group<>''		Execute(@sql_group)
	if @sql_mark<>''			Execute(@sql_mark)
	if @sql_message<>''		Execute(@sql_message)
	if @sql_scrap<>''		Execute(@sql_scrap)
	if @sql_friends<>''		Execute(@sql_friends)
	if @sql_level<>''		Execute(@sql_level)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN

SET NOCOUNT OFF






GO
/**********************************************************************************
** uAdminBoardCategoryOk.
** [Board]  - īװ 
**********************************************************************************/
CREATE PROC dbo.uAdminBoardCategoryOk

	@wt			varchar(5)
,	@id			varchar(20)
,	@adminid_table		varchar(50)
,	@category_table		varchar(50)
,	@id_table		varchar(50)
,	@cate_no		int		=null
,	@cate_noU		int		=null
,	@mcate_no		int		=null
,	@s_usecategory		tinyint		=null
,	@cate_point		int		=null
,	@s_category_num		int		=null
,	@checkid_sum		int		=null
,	@cate_name		varchar(30)
,	@checkid_value		varchar(500)

AS

DECLARE @sql1			varchar(500)
DECLARE @sql2			varchar(500)
DECLARE @sql3			varchar(500)

SET NOCOUNT ON

if @wt='a'	
		SET @sql1='UPDATE '+@adminid_table+' SET s_usecategory='+CAST(@s_usecategory AS VARCHAR(3))+' WHERE id='''+@id+''''
else if @wt='w'
	BEGIN
		SET @s_category_num=@s_category_num+1
		SET @sql1='INSERT INTO '+@category_table+'(cate_name, id) VALUES('''+@cate_name+''','''+@id+''')'
		SET @sql2='UPDATE '+@adminid_table+' SET s_category_num='+CAST(@s_category_num AS VARCHAR(11))+' WHERE id='''+@id+''''
	END
else if @wt='ws'
		SET @sql1='INSERT INTO '+@category_table+'(cate_up_id, cate_name, id) VALUES('+CAST(@cate_noU AS VARCHAR(11))+','''+@cate_name+''','''+@id+''')'
else if @wt='e'
		SET @sql1='UPDATE '+@category_table+' SET cate_name='''+@cate_name+''', cate_point='+CAST(@cate_point AS VARCHAR(11))+' WHERE cate_no='+CAST(@cate_no AS VARCHAR(11))
else if @wt='d'
	BEGIN
		if @cate_noU=0	SET @s_category_num=@s_category_num-1
		SET @sql1='DELETE FROM '+@category_table+' WHERE cate_no='+CAST(@cate_no AS VARCHAR(11))
		SET @sql2='UPDATE '+@adminid_table+' SET s_category_num='+CAST(@s_category_num AS VARCHAR(11))+' WHERE id='''+@id+''''
	END
else
	BEGIN
		SET @sql1='UPDATE '+@id_table+' SET cate_no='+CAST(@mcate_no AS VARCHAR(11))+' WHERE cate_no IN ('+@checkid_value+')'
		SET @sql2='UPDATE '+@category_table+' SET cate_num=0 WHERE cate_no IN ('+@checkid_value+')'
		SET @sql3='UPDATE '+@category_table+' SET cate_num='+CAST(@checkid_sum AS VARCHAR(11))+' WHERE cate_no='+CAST(@mcate_no AS VARCHAR(11))
	END

-- Ʈ
BEGIN TRAN
	if @sql1<>''	Execute(@sql1)
	if @sql2<>''	Execute(@sql2)
	if @sql3<>''	Execute(@sql3)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN

SET NOCOUNT OFF






GO
/**********************************************************************************
** uJoinOkInsert.
** [Board]  - īװ 
**********************************************************************************/
CREATE PROC dbo.uJoinOkInsert

	@wt			varchar(5)
,	@cate_no		varchar(11)
,	@cate_no1		varchar(11)
,	@dsql			varchar(1000)
,	@cate_sql1		varchar(1000)
,	@cate_sql2		varchar(1000)
,	@sql			varchar(3000)

AS

if @wt='e' and @cate_no<>@cate_no1	SET @dsql=''
else	SET @cate_sql2=''

-- Ʈ
BEGIN TRAN
	if @dsql<>''		Execute(@dsql)
	if @cate_sql1<>''	Execute(@cate_sql1)
	if @cate_sql2<>''	Execute(@cate_sql2)
	if @sql<>''		Execute(@sql)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN
SET NOCOUNT OFF






GO
/**********************************************************************************
** uBoardContent.
**     : UrimiSeries Խ ϳ 
**  : ֿ
**********************************************************************************/
CREATE PROC dbo.uBoardContent

	@s_usepds		int
,	@u_no			int
,	@id_table		varchar(50)
,	@category_table		varchar(50)

AS

DECLARE @sql	varchar(1000)

SET @sql='SELECT u_no, u_count, u_vote, u_date, u_name, user_id, u_pass, u_email, u_homepage, u_title, u_html, u_secret, u_rep, u_ip, a.cate_no, c.cate_name,  u_comment_num, u_link '
if @s_usepds>0		BEGIN SET @sql=@sql+', u_zfile, u_zsize, u_zcount, u_image, u_isize, u_icount' END
SET @sql=@sql+', u_content FROM '+@id_table+' AS a INNER JOIN '+@category_table+' AS c ON a.cate_no=c.cate_no WHERE u_no='+CONVERT(varchar(11),@u_no)

EXEC(@sql)






GO
/**********************************************************************************
** uBoardList.
**      : UrimiSeries Խ
**    :   
**      : Ϲ+u_rep
**********************************************************************************/
CREATE PROC dbo.uBoardList

	@top			int
,	@no			int
,	@s_usepds		tinyint
,	@s_show_image		tinyint
,	@s_show_content		bit
,	@notice_az		bit
,	@s_hide_reply		bit
,	@id_table		varchar(50)
,	@category_table		varchar(50)
,	@div			int
,	@order2			varchar(4)

AS

DECLARE @sql			varchar(1000)
DECLARE @add_where		varchar(200)
DECLARE @sql_where		varchar(200)
DECLARE @sql_order		varchar(200)

-- select ʵ ϱ
SET @sql='SELECT TOP '+convert(varchar(11), @top)
SET @sql=@sql+' u_no, u_name, user_id, u_pass, u_email, u_homepage, u_title, u_date, u_count, u_vote, u_secret, u_rep, u_level, a.cate_no, c.cate_name, u_comment_num, u_link '
if @s_usepds>0		BEGIN SET @sql=@sql+', u_zfile, u_zsize, u_zcount' END
if @s_show_image=1	BEGIN SET @sql=@sql+', u_image, u_isize, u_icount' END
if @s_show_content=1	BEGIN SET @sql=@sql+', u_html, u_ip, u_content' END

-- 
SET @add_where=convert(varchar(11), @div)
if @notice_az=1		BEGIN SET @add_where=@add_where+',0' END
SET @add_where='u_div in ('+@add_where+')'
if @s_hide_reply=1	BEGIN SET @add_where=@add_where+' and u_level=0'  END

-- 
if @order2='desc'	BEGIN SET @sql_order=' ORDER BY u_rep desc, u_step ASC' END
else			BEGIN SET @sql_order=' ORDER BY u_rep asc, u_step ASC' END

-- 
SET @sql_where='SELECT TOP '+convert(varchar(11),@no)+' u_no FROM '+@id_table+' WHERE '+@add_where+@sql_order
SET @sql_where=' WHERE u_no not IN ('+@sql_where+') AND '+@add_where

-- ϼ
SET @sql=@sql+' FROM '+@id_table+' AS a INNER JOIN '+@category_table+' AS c on a.cate_no=c.cate_no '+@sql_where+@sql_order

-- 
exec(@sql)






GO
/**********************************************************************************
** uBoardListReply.
**     : UrimiSeries Խǰñ
**  : ֿ
**     : ñ۸;;
**********************************************************************************/
CREATE PROC dbo.uBoardListReply

	@s_usepds		tinyint
,	@s_show_content		bit
,	@s_show_image		tinyint
,	@u_rep			varchar(10)
,	@id_table		varchar(50)
,	@category_table		varchar(50)

AS

DECLARE @sql			varchar(1000)

SET @sql='select u_no, u_name, user_id, u_pass, u_email, u_homepage, u_title, u_date, u_count, u_vote, u_secret, u_rep, u_level, a.cate_no, c.cate_name, u_comment_num, u_link '
if @s_usepds>0		BEGIN SET @sql=@sql+', u_zfile, u_zsize, u_zcount' END
if @s_show_image=1	BEGIN SET @sql=@sql+', u_image, u_isize, u_icount' END
if @s_show_content=1	BEGIN SET @sql=@sql+', u_html, u_ip, u_rep, u_content ' END
SET @sql=@sql+' from '+@id_table+' AS a INNER JOIN '+@category_table+' AS c on a.cate_no=c.cate_no'
SET @sql=@sql+' where u_rep='+@u_rep+' and u_level>0 order by u_level asc'

exec(@sql)






GO
/**********************************************************************************
** uBoardListSearch.
**     : UrimiSeries Խǰ˻
**   : ֿ
**     : ˻/˻+/īװ
**********************************************************************************/
CREATE PROC dbo.uBoardListSearch

	@top			int
,	@no			int
,	@s_usepds		tinyint
,	@s_show_image		tinyint
,	@s_show_content		bit
,	@s_hide_reply		bit
,	@id_table		varchar(50)
,	@category_table		varchar(50)
,	@cate_no		smallint
,	@n			tinyint
,	@find_word		varchar(30)
,	@order1			varchar(30)
,	@order2			varchar(4)

AS

DECLARE	@sql			varchar(1000)
DECLARE	@add			varchar(10)
DECLARE	@add_where		varchar(500)
DECLARE	@add_join		varchar(500)
DECLARE	@add_search		varchar(500)
DECLARE	@sql_where		varchar(500)
DECLARE	@sql_order		varchar(500)
DECLARE	@order_add		varchar(20)

-- ʱȭ
SET @add=''
SET @add_where=''
SET @add_join=''
SET @add_search=''
SET @sql_where=''
SET @sql_order=''

-- select ʵ ϱ
SET @sql='SELECT TOP '+convert(varchar(11), @top)
SET @sql=@sql+' u_no, u_name, user_id, u_pass, u_email, u_homepage, u_title, u_date, u_count, u_vote, u_secret, u_rep, u_level, a.cate_no, c.cate_name, u_comment_num, u_link'
if @s_usepds>0				BEGIN SET @sql=@sql+', u_zfile, u_zsize, u_zcount'	end
if @s_show_image=1			BEGIN SET @sql=@sql+', u_image, u_isize, u_icount' END
if @s_show_content=1			BEGIN SET @sql=@sql+', u_html, u_ip, u_content' END

-- ˻
if @n=1 or @n=3 or @n=5 or @n=7	BEGIN SET @add_search='u_name LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' OR ' END	else	BEGIN SET @add='' END
if @n=2 or @n=3 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'u_title LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' OR ' END	else	BEGIN SET @add='' END
if @n=4 or @n=5 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'u_content LIKE ''%'+@find_word+'%''' END

-- (˻߰)
if @s_hide_reply=1			BEGIN SET @add_where=@add_where+@add+'u_level=0'  END
if @add_where<>''			BEGIN SET @add=' AND ' END	else	BEGIN SET @add='' END
if @cate_no>0				BEGIN SET @add_where=@add_where+@add+'a.cate_no='+convert(varchar(11), @cate_no) END
if @add_where<>''			BEGIN SET @add=' AND ' END	else	BEGIN SET @add='' END
if @add_search<>''			BEGIN SET @add_where=@add_where+@add+'('+@add_search+')' END

-- ι
SET @add_join=' AS a INNER JOIN '+@category_table+' AS c ON a.cate_no=c.cate_no '

-- 
SET @order_add=''
if @order1='' or @order1='u_no'				
	BEGIN 
		SET @order1='u_rep' 
		SET @order_add=', u_step ASC'
	end
if @order2=''				BEGIN SET @order2='DESC' END
SET @sql_order=' ORDER BY '+@order1+' '+@order2+@order_add

-- 
if @add_where<>''			BEGIN SET @add=' WHERE ' END	else	BEGIN SET @add='' END
SET @sql_where='SELECT TOP '+convert(varchar(11),@no)+' u_no FROM '+@id_table+@add_join+@add+@add_where+@sql_order
if @add_where<>''			BEGIN SET @add=' AND ' END	else	BEGIN SET @add='' END
SET @sql_where=' WHERE u_no not in ('+@sql_where+')'+@add+@add_where

-- ϼ
SET @sql=@sql+' FROM '+@id_table+@add_join+@sql_where+@sql_order

-- 
exec(@sql)






GO
/**********************************************************************************
** uBoardListSearchNo.
**     : UrimiSeries Խǰ˻
**  : ֿ
**     : ˻/˻+/īװ
**********************************************************************************/
CREATE PROC dbo.uBoardListSearchNo

	@s_hide_reply		bit
,	@id_table		varchar(50)
,	@cate_no		smallint
,	@n			tinyint
,	@find_word		varchar(30)

AS

DECLARE	@sql			varchar(1000)
DECLARE	@add			varchar(10)
DECLARE	@add_where		varchar(500)
DECLARE	@add_search		varchar(500)
DECLARE	@sql_order		varchar(200)

-- ʱȭ
SET @add=''
SET @add_where=''
SET @add_search=''
SET @sql_order=''

-- select ʵ ϱ
SET @sql='select COUNT(u_no)'

-- ˻
if @n=1 or @n=3 or @n=5 or @n=7	BEGIN SET @add_search='u_name LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' or ' END	else 	BEGIN SET @add='' END
if @n=2 or @n=3 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'u_title LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' or ' END	else 	BEGIN SET @add='' END
if @n=4 or @n=5 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'u_content LIKE ''%'+@find_word+'%''' END

-- (˻߰)
if @s_hide_reply=1			BEGIN SET @add_where=@add_where+'u_level=0'  END
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
if @cate_no>0			BEGIN SET @add_where=@add_where+@add+'cate_no='+convert(varchar(11), @cate_no) END
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
if @add_search<>''			BEGIN SET @add_where=@add_where+@add+'('+@add_search+')' END
if @add_where<>''			BEGIN SET @add_where=' where '+@add_where END

-- ϼ
SET @sql=@sql+' from '+@id_table+@add_where

-- 
exec(@sql)






GO
/**********************************************************************************
** uBoardListMove.
** [ü]  Ű ν
**********************************************************************************/
CREATE PROC dbo.uBoardListMove

	@sql1			varchar(3000)
,	@sql2			varchar(3000)
,	@sql3			varchar(3000)
,	@sql4			varchar(3000)
,	@sql5			varchar(3000)
,	@sql6			varchar(3000)
,	@sql7			varchar(3000)
,	@sql8			varchar(3000)
,	@sql9			varchar(3000)
,	@sql10			varchar(3000)
,	@sql11			varchar(3000)
,	@sql12			varchar(3000)

AS

-- Ʈ
BEGIN TRAN
	if @sql1<>''		Execute(@sql1)
	if @sql2<>''		Execute(@sql2)
	if @sql3<>''		Execute(@sql3)
	if @sql4<>''		Execute(@sql4)
	if @sql5<>''		Execute(@sql5)
	if @sql6<>''		Execute(@sql6)
	if @sql7<>''		Execute(@sql7)
	if @sql8<>''		Execute(@sql8)
	if @sql9<>''		Execute(@sql9)
	if @sql10<>''		Execute(@sql10)
	if @sql11<>''		Execute(@sql11)
	if @sql12<>''		Execute(@sql12)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN
SET NOCOUNT OFF






GO
/**********************************************************************************
** uBoardComment.
**     : UrimiSeries ڸƮ ҷ
**  : ֿ
**********************************************************************************/
CREATE PROC dbo.uBoardComment

	@comment_table	varchar(50)
,	@member_table 	varchar(50)
,	@use_member		bit
,	@grant_comment	tinyint
,	@id			varchar(30)
,	@u_no			varchar(11)

AS

DECLARE @sql	varchar(1000)

if @use_member=1 and @grant_comment>0
	SET @sql='SELECT c.ment_no, c.user_id, m.mem_name, m.mem_email, m.mem_homepage, c.ment_pass, c.ment_ip, c.ment_date, c.ment_memo FROM '+@comment_table+' c INNER JOIN '+@member_table+' m ON c.user_id=m.mem_id WHERE c.u_no='+@u_no
else
	SET @sql='SELECT ment_no, user_id, ment_name, ment_pass, ment_ip,  ment_date, ment_memo FROM '+@comment_table+' WHERE u_no='+@u_no
SET @sql=@sql+' ORDER BY ment_no'

exec(@sql)






GO
/**********************************************************************************
** uMemoContent.
**     : UrimiSeries ޸ ϳ 
**  : ֿ
**********************************************************************************/
CREATE PROC dbo.uMemoContent

	@u_no			int
,	@id_table		varchar(50)
,	@category_table		varchar(50)

AS

DECLARE @sql			varchar(1000)

SET @sql='select u_no, u_name, user_id, u_pass, u_email, u_homepage, u_date, u_rep, u_level, u_vote, u_ip, a.cate_no, c.cate_name, u_title'
SET @sql=@sql+' from '+@id_table+' AS a INNER JOIN '+@category_table+' AS c on a.cate_no=c.cate_no where u_no='+convert(varchar(11),@u_no)

exec(@sql)






GO
/**********************************************************************************
** uMemoList.
**     : UrimiSeries ޸
**  : ֿ
**     : Ϲ+u_date
**********************************************************************************/
CREATE PROC dbo.uMemoList

	@top			int
,	@no			int
,	@notice_az		bit
,	@s_hide_reply		bit
,	@id_table		varchar(50)
,	@category_table		varchar(50)
,	@div			int
,	@order2			varchar(4)

AS

DECLARE @sql			varchar(1000)
DECLARE	@add_where		varchar(200)
DECLARE @sql_where		varchar(200)
DECLARE @sql_order		varchar(200)

SET @sql='SELECT TOP '+convert(varchar(11), @top)
SET @sql=@sql+' u_no, u_name, user_id, u_pass, u_email, u_homepage, u_date, u_rep, u_level, u_vote, u_ip, a.cate_no, u_title, c.cate_name '

-- 
SET @add_where=convert(varchar(11), @div)
if @notice_az=1		BEGIN SET @add_where=@add_where+',0' END
SET @add_where='u_div in ('+@add_where+')'
if @s_hide_reply=1	BEGIN SET @add_where=@add_where+' and u_level=0'  END

-- 
if @order2='desc'	BEGIN SET @sql_order=' order by u_rep desc, u_level asc' END
else			BEGIN SET @sql_order=' order by u_rep asc, u_level asc' END

-- 
SET @sql_where='SELECT TOP '+convert(varchar(11),@no)+' u_no from '+@id_table+' where '+@add_where+@sql_order
SET @sql_where=' where u_no not in ('+@sql_where+') and '+@add_where

-- ϼ
SET @sql=@sql+' from '+@id_table+' AS a INNER JOIN '+@category_table+' AS c on a.cate_no=c.cate_no '+@sql_where+@sql_order

-- 
exec(@sql)






GO
/**********************************************************************************
** uMemoListReply.
**     : UrimiSeries ޸ñ
**  : ֿ
**     : Ϲ+u_date
**********************************************************************************/
CREATE PROC dbo.uMemoListReply

	@u_rep			varchar(10)
,	@id_table		varchar(50)
,	@category_table		varchar(50)

AS

DECLARE @sql			varchar(1000)

SET @sql='select u_no, u_name, user_id, u_pass, u_email, u_homepage, u_date, u_vote, u_ip, cate_no, u_title'
SET @sql=@sql+' from '+@id_table+' AS a INNER JOIN '+@category_table+' AS c on a.cate_no=c.cate_no'
SET @sql=@sql+' where u_rep='+@u_rep+' and u_level>0 order by u_level asc'
exec(@sql)






GO
/**********************************************************************************
** uMemoListSearch.
**     : UrimiSeries ޸˻
**  : ֿ
**     : ˻/˻+/īװ
**********************************************************************************/
CREATE PROC dbo.uMemoListSearch

	@top			int
,	@no			int
,	@s_hide_reply		bit
,	@id_table		varchar(50)
,	@category_table		varchar(50)
,	@cate_no		smallint
,	@n			tinyint
,	@find_word		varchar(30)
,	@order1			varchar(30)
,	@order2			varchar(4)

AS

DECLARE 	@sql		varchar(1000)
DECLARE	@add			varchar(10)
DECLARE	@add_where		varchar(500)
DECLARE	@add_search		varchar(500)
DECLARE	@sql_where		varchar(500)
DECLARE	@sql_order		varchar(200)

-- ʱȭ
SET @add=''
SET @add_where=''
SET @add_search=''
SET @sql_where=''
SET @sql_order=''

-- select ʵ ϱ
SET @sql='SELECT TOP '+convert(varchar(11), @top)
SET @sql=@sql+' u_no, u_name, user_id, u_pass, u_email, u_homepage, u_date, u_rep, u_level, u_vote, u_ip, a.cate_no, u_title, c.cate_name'

-- ˻
if @n=1 or @n=3 or @n=5 or @n=7	BEGIN SET @add_search='u_name LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' or ' END	else	BEGIN SET @add='' END
if @n=2 or @n=3 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'u_title LIKE ''%'+@find_word+'%''' END

-- (˻߰)
if @s_hide_reply=1			BEGIN SET @add_where=@add_where+@add+'u_level=0'  END
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
if @cate_no>0			BEGIN SET @add_where=@add_where+@add+'cate_no='+convert(varchar(11), @cate_no) END
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
if @add_search<>''			BEGIN SET @add_where=@add_where+@add+'('+@add_search+')' END

-- 
if @order1=''				BEGIN SET @order1='u_rep' END
if @order2=''				BEGIN SET @order2='desc' END
SET @sql_order=' order by '+@order1+' '+@order2

-- 
if @add_where<>''			BEGIN SET @add=' where ' END	else	BEGIN SET @add='' END
SET @sql_where='SELECT TOP '+convert(varchar(11),@no)+' u_no from '+@id_table+@add+@add_where+@sql_order
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
SET @sql_where=' where u_no not in ('+@sql_where+')'+@add+@add_where

-- ϼ
SET @sql=@sql+' from '+@id_table+' AS a INNER JOIN '+@category_table+' AS c on a.cate_no=c.cate_no '+@sql_where+@sql_order

-- 
exec(@sql)






GO
/**********************************************************************************
** uMemoListSearchNo.
**     : UrimiSeries ޸˻
**  : ֿ
**     : ˻/˻+/īװ
**********************************************************************************/
CREATE PROC dbo.uMemoListSearchNo

	@s_hide_reply		bit
,	@id_table		varchar(50)
,	@cate_no		smallint
,	@n			tinyint
,	@find_word		varchar(30)

AS

DECLARE	@sql			varchar(1000)
DECLARE  @add			varchar(10)
DECLARE	@add_where		varchar(500)
DECLARE	@add_search		varchar(500)
DECLARE	@sql_order		varchar(200)

-- ʱȭ
SET @add=''
SET @add_where=''
SET @add_search=''
SET @sql_order=''

-- select ʵ ϱ
SET @sql='select COUNT(u_no)'

-- ˻
if @n=1 or @n=3 or @n=5 or @n=7	BEGIN SET @add_search='u_name LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' or ' END	else	BEGIN SET @add='' END
if @n=2 or @n=3 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'u_title LIKE ''%'+@find_word+'%''' END

-- (˻߰)
if @s_hide_reply=1			BEGIN SET @add_where=@add_where+'u_level=0'  END
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
if @cate_no>0			BEGIN SET @add_where=@add_where+@add+'cate_no='+convert(varchar(11), @cate_no) END
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
if @add_search<>''			BEGIN SET @add_where=@add_where+@add+'('+@add_search+')' END
if @add_where<>''			BEGIN SET @add_where=' where '+@add_where END

-- ϼ
SET @sql=@sql+' from '+@id_table+@add_where

-- 
exec(@sql)






GO
/**********************************************************************************
** uBoardWriteOkInsert.
** [Board]  - īװ 
**********************************************************************************/
CREATE PROC dbo.uBoardWriteOkInsert

	@d_div			varchar(11)
,	@d_num			varchar(11)
,	@d_tnum			varchar(11)
,	@d_rnum			varchar(11)
,	@d_trnum		varchar(11)
,	@edit_notice		bit
,	@exists_div0		bit
,	@id			varchar(20)
,	@id_table		varchar(50)
,	@division_table		varchar(50)
,	@category_table		varchar(50)
,	@u_no			varchar(11)
,	@u_notice		varchar(1)
,	@u_rep			varchar(11)
,	@u_step			varchar(11)
,	@u_div			varchar(11)
,	@cate_no		varchar(11)
,	@pCate_no		varchar(11)
,	@cate_num		varchar(11)
,	@cate_rnum		varchar(11)
,	@wt			varchar(1)

AS

DECLARE @sql_division		varchar(500)
DECLARE @sql_rep		varchar(500)
DECLARE @sql_up_division	varchar(500)
DECLARE @sql_reply		varchar(500)
DECLARE @sql_notice_division	varchar(500)
DECLARE @sql_category1		varchar(500)
DECLARE @sql_category2		varchar(500)

SET NOCOUNT ON

-- division
if @wt='w'
	BEGIN
		if @d_num='1' and @d_div<>'1'	SET @sql_division='INSERT INTO '+@division_table+'(id, d_div, d_num, d_tnum, d_rnum, d_trnum) VALUES('''+@id+''','+@d_div+','+@d_num+','+@d_tnum+','+@d_rnum+','+@d_trnum+')'
		else	SET @sql_division='UPDATE '+@division_table+' SET d_num='+@d_num+', d_tnum='+@d_tnum+' WHERE id='''+@id+''' AND d_div='+@d_div
		if @d_tnum=2	SET @sql_rep='UPDATE '+@id_table+' SET u_rep='+@u_no+' WHERE u_no='+@u_no+' AND u_rep<2000000001'
	END
else if @wt='r'
	BEGIN
		SET @sql_division='UPDATE '+@division_table+' SET d_num='+@d_num+', d_tnum='+@d_tnum+', d_rnum='+@d_rnum+', d_trnum='+@d_trnum+' WHERE d_div='+@u_div+' AND id='''+@id+''''
		SET @sql_up_division='UPDATE '+@division_table+' SET d_tnum=d_tnum+1 WHERE d_div>'+@u_div
		if @d_tnum=2	SET @sql_rep='UPDATE '+@id_table+' SET u_rep='+@u_no+' WHERE u_no='+@u_no+' AND u_rep<2000000001'
		SET @sql_reply='UPDATE '+@id_table+' SET u_step=u_step+1 WHERE u_rep='+@u_rep+' AND u_step>'+@u_step
	END
else if @wt='e'
	BEGIN
		if CAST(@u_rep AS int)>2000000000 and @u_notice='0'
			BEGIN
				if @edit_notice='1'	SET @sql_division='UPDATE '+@division_table+' SET d_num='	+@d_num+', d_tnum='+@d_tnum+' WHERE id='''+@id+''' AND d_div='+@u_div
				else	SET @sql_division='INSERT INTO '+@division_table+'(id, d_num, d_tnum) VALUES('''+@id+''',0,0)'
				SET @sql_up_division='UPDATE '+@division_table+' SET d_tnum=d_tnum+1 WHERE id='''+@id+''' AND d_div>'+@u_div
				SET @sql_notice_division='UPDATE '+@division_table+' SET d_num=d_num-1, d_tnum=d_tnum-1 WHERE id='''+@id+' AND d_div=0'
			END
		else if CAST(@u_rep AS int)<2000000001 and @u_notice='1'
			BEGIN
				SET @sql_division='UPDATE '+@division_table+' SET d_num='+@d_num+', d_tnum='+@d_tnum+', d_rnum='+@d_rnum+', d_trnum='+@d_trnum+' WHERE id='''+@id+''' AND d_div='+@u_div
				SET @sql_up_division='UPDATE '+@division_table+' SET d_tnum=d_tnum-1 WHERE id='''+@id+''' AND d_div>'+@u_div
				if @exists_div0='1'	SET @sql_notice_division='UPDATE '+@division_table+' SET d_num=d_num+1, d_tnum=d_tnum+1 WHERE id='''+@id+''' AND d_div=0'
				else	SET @sql_notice_division='INSERT INTO '+@division_table+'(id, d_num, d_tnum) VALUES('''+@id+''',0,0)'
			END
	END

-- īװ
if not(@wt='e' and @cate_no=@pCate_no)
	BEGIN
		if @wt='r'	SET @sql_category1='UPDATE '+@category_table+' SET cate_num=cate_num+1, cate_rnum=cate_rnum+1 WHERE cate_no='+@cate_no
		else	SET @sql_category1='UPDATE '+@category_table+' SET cate_num=cate_num+1 WHERE cate_no='+@cate_no
		if @wt='e'	SET @sql_category2='UPDATE '+@category_table+' SET cate_num=-1 WHERE cate_no='+@cate_no
	END

-- Ʈ
BEGIN TRAN
	if @sql_division<>''	Execute(@sql_division)
	if @sql_rep<>''	Execute(@sql_rep)
	if @sql_up_division<>''	Execute(@sql_up_division)
	if @sql_reply<>''		Execute(@sql_reply)
	if @sql_notice_division<>''	Execute(@sql_notice_division)
	if @sql_category1<>''	Execute(@sql_category1)
	if @sql_category2<>''	Execute(@sql_category2)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN
SET NOCOUNT OFF






GO
/**********************************************************************************
** uMemberContent.
** [ȸ] ȸ̺ ȸ ϳ 
**********************************************************************************/
CREATE PROC dbo.uMemberContent

	@mem_no			int
,	@member_table		varchar(50)

as

DECLARE @sql			varchar(1000)

SET @sql='SELECT mem_no, mem_id, mem_name, mem_aliasname, mem_email, mem_regdate, mem_level, mem_login
, mem_jumin, mem_birth, mem_lunar, mem_messenger1, mem_messenger2, mem_messenger_id1, mem_messenger_id2
, mem_tel, mem_zipcode, mem_address1, mem_address2, mem_homepage, mem_mailling, mem_open, mem_comment
FROM '+@member_table+'
WHERE mem_no='+convert(varchar(11), @mem_no)

Execute(@sql)






GO
/**********************************************************************************
** uMemberList.
** [ȸ] ȸ̺ ȸ 
**********************************************************************************/
CREATE PROC dbo.uMemberList

	@top			int
,	@no			int
,	@member_table		varchar(50)
,	@div			int
,	@order2			varchar(4)

AS

DECLARE @sql			varchar(1000)
DECLARE @add_where		varchar(200)
DECLARE @sql_where		varchar(200)
DECLARE @sql_order		varchar(200)

SET @sql='SELECT TOP '+CAST(@top+1 AS varchar(11))
SET @sql=@sql+' mem_no, mem_id, mem_name, mem_aliasname, mem_email, mem_regdate, mem_level, mem_login '

-- 
SET @add_where='mem_div='+CAST(@div AS varchar(11))

-- 
if @order2='DESC'	BEGIN SET @sql_order=' ORDER BY mem_no DESC' 	END
else			BEGIN SET @sql_order=' ORDER BY mem_no ASC'	END

-- 
SET @sql_where='SELECT TOP '+CAST(@no AS varchar(11))+' mem_no FROM '+@member_table+' WHERE '+@add_where+@sql_order
SET @sql_where=' WHERE mem_no NOT IN ('+@sql_where+') AND '+@add_where

-- ϼ
SET @sql=@sql+' FROM '+@member_table+@sql_where+@sql_order

-- 
Execute(@sql)






GO
/**********************************************************************************
** uMemberListSearch.
** [ȸ] ȸ̺ ˻/˻+/īװ
**********************************************************************************/
CREATE proc dbo.uMemberListSearch

	@top			int
,	@no			int
,	@member_table	 	varchar(50)
,	@u_category		int
,	@n			tinyint
,	@find_word		varchar(30)
,	@order1			varchar(30)
,	@order2			varchar(4)

AS

DECLARE @sql			varchar(1000)
DECLARE @add			varchar(10)
DECLARE	@add_category		varchar(500)
DECLARE	@add_where		varchar(500)
DECLARE	@add_search		varchar(500)
DECLARE	@sql_where		varchar(500)
DECLARE	@sql_order		varchar(200)

-- ʱȭ
SET @add=''
SET @add_category=''
SET @add_where=''
SET @add_search=''
SET @sql_where=''
SET @sql_order=''

-- select ʵ ϱ
SET @sql='SELECT TOP '+CAST(@top AS varchar(11))+'mem_no, mem_id, mem_name, mem_aliasname, mem_email, mem_regdate, mem_level, mem_login'

-- ˻
if @n=1 or @n=3 or @n=5 or @n=7	BEGIN SET @add_search='mem_id LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' or ' END	else	BEGIN SET @add='' END
if @n=2 or @n=3 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'mem_name LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' or ' END	else	BEGIN SET @add='' END
if @n=4 or @n=5 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'mem_email LIKE ''%'+@find_word+'%''' END

-- (˻߰)
if @u_category>0
 BEGIN 
	if @u_category=200		BEGIN SET @add_category='244,255' END
	else if @u_category=10		BEGIN SET @add_category='1,2,3,4,5,6,7,8,9,10' END
	else				BEGIN SET @add_category='0' END
	SET @add_where='mem_level IN ('+@add_category+')'
 END
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
if @add_search<>''			BEGIN SET @add_where=@add_where+@add+'('+@add_search+')' END

-- 
if @order1=''				BEGIN SET @order1='mem_no' END
if @order2=''				BEGIN SET @order2='DESC' END
SET @sql_order=' ORDER BY '+@order1+' '+@order2

-- 
if @add_where<>''			BEGIN SET @add=' WHERE ' END	else	BEGIN SET @add='' END
SET @sql_where='SELECT TOP '+CAST(@no AS varchar(11))+' mem_no FROM '+@member_table+@add+@add_where+@sql_order
if @add_where<>''			BEGIN SET @add=' AND ' END	else	BEGIN SET @add='' END
SET @sql_where=' WHERE mem_no NOT IN ('+@sql_where+')'+@add+@add_where

-- ϼ
SET @sql=@sql+' FROM '+@member_table+@sql_where+@sql_order

-- 
exec(@sql)






GO
/**********************************************************************************
**  uMemberListSearchNo.
** [ȸ] ȸ̺ ˻/˻+/īװ 
**********************************************************************************/
CREATE PROC dbo.uMemberListSearchNo

	@member_table	 	varchar(50)
,	@u_category		int
,	@n			tinyint
,	@find_word		varchar(30)

AS

DECLARE @sql			varchar(1000)
DECLARE	@add			varchar(10)
DECLARE	@add_category		varchar(500)
DECLARE	@add_where		varchar(500)
DECLARE	@add_search		varchar(500)
DECLARE	@sql_order		varchar(200)

-- ʱȭ
SET @add=''
SET @add_category=''
SET @add_where=''
SET @add_search=''
SET @sql_order=''

-- select ʵ ϱ
SET @sql='SELECT COUNT(mem_no)'

-- ˻
if @n=1 or @n=3 or @n=5 or @n=7	BEGIN SET @add_search='mem_id LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' or ' END	else 	BEGIN SET @add='' END
if @n=2 or @n=3 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'mem_name LIKE ''%'+@find_word+'%''' END
if @add_search<>''			BEGIN SET @add=' or ' END	else 	BEGIN SET @add='' END
if @n=4 or @n=5 or @n=6 or @n=7	BEGIN SET @add_search=@add_search+@add+'mem_email LIKE ''%'+@find_word+'%''' END

-- (˻߰)
if @u_category>0
 BEGIN 
	if @u_category=200		BEGIN SET @add_category='244,255' END
	else if @u_category=10		BEGIN SET @add_category='1,2,3,4,5,6,7,8,9,10' END
	else				BEGIN SET @add_category='0' END
	SET @add_where='mem_level IN ('+@add_category+')'
 END
if @add_where<>''			BEGIN SET @add=' and ' END	else	BEGIN SET @add='' END
if @add_search<>''			BEGIN SET @add_where=@add_where+@add+'('+@add_search+')' END
if @add_where<>''			BEGIN SET @add_where=' WHERE '+@add_where END

-- ϼ
SET @sql=@sql+' from '+@member_table+@add_where

-- 
Execute(@sql)






GO
/**********************************************************************************
** uExecuteQuery.
** [ü]  Ű ν
**********************************************************************************/
CREATE PROC dbo.uExecuteQuery

	@sql1			varchar(3000)
,	@sql2			varchar(3000)
,	@sql3			varchar(3000)
,	@sql4			varchar(3000)
,	@sql5			varchar(3000)
,	@sql6			varchar(3000)

AS

-- Ʈ
BEGIN TRAN
	if @sql1<>''		Execute(@sql1)
	if @sql2<>''		Execute(@sql2)
	if @sql3<>''		Execute(@sql3)
	if @sql4<>''		Execute(@sql4)
	if @sql5<>''		Execute(@sql5)
	if @sql6<>''		Execute(@sql6)
	if @@ERROR=0	COMMIT TRAN	else ROLLBACK TRAN
SET NOCOUNT OFF






GO
/**********************************************************************************
** uSelectAddress.
** [ּã] ּ  ȣ ϰ˻
**********************************************************************************/
CREATE PROC dbo.uSelectAddress

	@dong			varchar(50)
,	@post1			varchar(50)
,	@post2			varchar(50)

AS
DECLARE @sql			varchar(1000)

-- ̸ ˻ 
if @dong<>''
	SET @sql='SELECT ZIPCODE, SIDO, GUGUN, DONG, BUNJI FROM zipcode WHERE DONG LIKE ''%'+@dong+'%'''

if @post1<>'' and @post2<>''
	SET @sql='SELECT ZIPCODE, SIDO, GUGUN, DONG, BUNJI FROM zipcode WHERE ZIPCODE LIKE ''%'+@post1+'-'+@post2+'%'''
	
Execute(@sql)






GO